cd "/Users/nnunn/Dropbox (Nathan Nunn)/AERPP_village_national_democracy_2013/Giuliano_Nunn_AER_2013_replication_files"
capture log close
set more off

log using "Giuliano_Nunn_AERPP_2013_Regressions.log", replace

***************
*** Table 1 ***
***************
use "Table1_data.dta", replace
* Column 1
xi: reg polity2 local_democracy agric_suit year_EA european_descent if group==2, r 
outreg2 using Table1.xls, replace se
su polity2 if e(sample)
su local_democracy if e(sample)
* Column 2
xi: reg polity2 local_democracy agric_suit year_EA european_descent if group==3, r 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 3
xi: reg polity2 local_democracy agric_suit year_EA european_descent if group==4, r 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 4
xi: reg polity2 local_democracy agric_suit year_EA european_descent i.group if group>=2 & group<=4, cl(isocode) 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 5
xi: reg polity2 local_democracy agric_suit year_EA european_descent pol_hierarchies if group==2, r 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 6
xi: reg polity2 local_democracy agric_suit year_EA european_descent pol_hierarchies if group==3, r 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 7
xi: reg polity2 local_democracy agric_suit year_EA european_descent pol_hierarchies if group==4, r 
outreg2 using Table1.xls, append se
su polity2 if e(sample)
* Column 8
xi: reg polity2 local_democracy agric_suit year_EA european_descent pol_hierarchies i.group if group>=2 & group<=4, cl(isocode) 
outreg2 using Table1.xls, append se
su polity2 if e(sample)


***************
*** Table 2 ***
***************
use "Table2_data.dta", clear
* Column 1
xi: reg democracy_better 	local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  i.s002, cl(isocode)
su local_democracy if e(sample)
su democracy_better if e(sample)
outreg2 using Table2.xls, replace coefastr dec(3) se
* Column 2
xi: reg polsyst_dem 		local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  i.s002, cl(isocode)
su polsyst_dem if e(sample)
outreg2 using Table2.xls, append coefastr dec(3) se
* Column 3
xi: reg dem_imp 			local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  i.s002, cl(isocode)
su dem_imp if e(sample)
outreg2 using Table2.xls, append coefastr dec(3) se
* Column 4
xi: reg democracy_better 	local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  pol_hierarchies  i.s002, cl(isocode)
outreg2 using Table2.xls, append coefastr dec(3) se
* Column 5
xi: reg polsyst_dem 		local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  pol_hierarchies  i.s002, cl(isocode)
outreg2 using Table2.xls, append coefastr dec(3) se
* Column 6
xi: reg dem_imp 			local_democracy i.x001 x003 age2 married i.x025r i.x047    year_EA agric_suit european_descent  pol_hierarchies  i.s002, cl(isocode)
outreg2 using Table2.xls, append coefastr dec(3) se


***************
*** TABLE 3 ***
***************
use "Table3_data.dta", replace
* Column 1
xi: reg wbgi_rle local_democracy agric_suit year_EA european_descent, r 
su wbgi_rle if e(sample)
su local_democracy if e(sample)
outreg2 using Table3.xls, replace se
* Column 2
xi: reg wbgi_cce local_democracy agric_suit year_EA european_descent, r 
su wbgi_cce if e(sample)
outreg2 using Table3.xls, append se
* Column 3
xi: reg ln_income local_democracy agric_suit year_EA european_descent, r 
su ln_income if e(sample)
outreg2 using Table3.xls, append se
* Column 4
xi: reg wbgi_rle local_democracy agric_suit year_EA european_descent pol_hierarchies, r 
su wbgi_rle if e(sample)
outreg2 using Table3.xls, append se
* Column 5
xi: reg wbgi_cce local_democracy agric_suit year_EA european_descent pol_hierarchies, r 
su wbgi_cce if e(sample)
outreg2 using Table3.xls, append se
* Column 6
xi: reg ln_income local_democracy agric_suit year_EA european_descent pol_hierarchies, r 
outreg2 using Table3.xls, append se
su ln_income if e(sample)
